ติดตั้ง PHP 7.0 ใน AWS EC2 – Ubuntu 16.04

29 มิ.ย. 2018 , 1,829 Views   , หมวดหมู่ AWS Linux โค๊ดดิ้ง   , ป้ายกำกับ:, ,


PHP7.0 เป็น Default version สำหรับ Ubuntu 16.04 ครับ หากต้องการติดตั้งเวอร์ชั้นต่ำกว่านั้นลอง

ดูลิ้งค์นี้ https://stackoverflow.com/questions/39824219/install-php-5-3-or-5-4-on-ubuntu-16-04-xenial-and-apache

หรือถามพี่ Google https://www.google.co.th/search?newwindow=1&rlz=1C1CHBF_enTH788TH788&ei=Vs81W9GqIIH3rQHJhYbYAw&q=install+php+5.3+ubuntu+16.04&oq=install+php+5.3+&gs_l=psy-ab.3.0.0i203k1l8j0i22i30k1l2.1882493.1887944.0.1890254.18.17.1.0.0.0.140.1926.0j16.16.0….0…1c.1.64.psy-ab..1.17.1923…0j0i67k1j0i131k1j35i39k1.0.X4g4Z0KpedQ

  • พิมพ์คำสั่ง sudo apt-get install php7.0 แล้วกด Enter
  • พิมพ์คำสั่ง sudo apt-get install php7.0-mbstring แล้วกด Enter
  • พิมพ์คำสั่ง sudo apt-get install libapache2-mod-php7.0 แล้วกด Enter (แก้ไขปัญหา PHP แสดง Plain text : https://stackoverflow.com/questions/3555681/why-are-my-php-files-showing-as-plain-text)
  • ตรวจสอบเวอร์ชันของ PHP พิมพ์คำสั่ง php -v แล้วกด Enter

 

อ้างอิง : https://medium.com/@sahakornb/การติดตั้ง-apache-php-mysql-phpmyadmin-บน-ubuntu-16-04-only-e6cf7b0c278a

downgrade from PHP 7 to PHP 5.6 on Ubuntu 16.04 : https://askubuntu.com/questions/761713/how-can-i-downgrade-from-php-7-to-php-5-6-on-ubuntu-16-04

 

https://askubuntu.com/questions/950683/cannot-comile-php-5-3-29-on-ubuntu-16-04


ป้ายกำกับ:, ,